# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name teng
%define	major 2
%define	libname lib%{name}%{major}
%define	develname lib%{name}-devel

Summary:	Templating engine written in C++
Name:		teng
Version:	2.1.1
Release:	alt1_12
License:	LGPL
Group:		System/Libraries
URL:		http://teng.sourceforge.net/
Source0:	https://downloads.sourceforge.net/teng/%{name}-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	bison
Source44: import.info

%description
Teng is a general purpose templating engine written in C++ (i.e. library). It is
also available as Python module or PHP extension. The main idea of teng is to
strictly separate application logic from presentation layer. Widely used on
dynamic web sites.

%package -n	%{libname}
Summary:	The shared Teng libraries
Group:		System/Libraries

%description -n	%{libname}
Teng is a general purpose templating engine written in C++ (i.e. library). It is
also available as Python module or PHP extension. The main idea of teng is to
strictly separate application logic from presentation layer. Widely used on
dynamic web sites.

This package contains the shared Teng libraries.

%package -n	%{develname}
Summary:	Development files from Teng
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libteng1-devel

%description -n	%{develname}
Development files from Teng.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files	-n %{libname}
%doc COPYING README INSTALL AUTHORS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files	-n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2.1.1-alt1_12
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_11
- update by mgaimport

* Mon Oct 08 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_10
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_7
- new version

